### Function

# Qmi MessageNasSetPreferredNetworksInput new

since: 1.30

#### Declaration [src]

    QmiMessageNasSetPreferredNetworksInput*
    qmi_message_nas_set_preferred_networks_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageNasSetPreferredNetworksInput`.

Available since: 1.30

#### Return value

Type: `QmiMessageNasSetPreferredNetworksInput`

The newly created `QmiMessageNasSetPreferredNetworksInput`. The returned value should be freed with qmi_message_nas_set_preferred_networks_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.